- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyCreateLookerReport#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyCreateLookerReport#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyCreateLookerReport#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyCreateLookerReport#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyCreateLookerReport#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyCreateLookerReport#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyCreateLookerReport#body.aspect_1)

**Full name**: projects.locations.instances.legacyAdvancedReports.legacyCreateLookerReport

Creates a new Looker Advanced Report. Use this method to define custom dashboards for investigation monitoring.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyAdvancedReports:legacyCreateLookerReport`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to create the Looker Advanced Report in. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "title": string, "firstViewName": string, "category": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyAdvancedReportCategory`), "creatorGuid": string, "modifier": string, "externalId": string, "includeViewOnlyUsers": boolean, "environments": [ string ], "environmentsJson": string, "id": string, "tenantId": string, "creatorFullName": string, "modifierFullName": string, "creationTimeUnixTimeInMs": string, "modificationTimeUnixTimeInMs": string } ``` |

| Fields ||
|---|---|
| `title` | `string` Optional. The title of the Looker report. |
| `firstViewName` | `string` Optional. The name of the first view in the Looker report. |
| `category` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyAdvancedReportCategory`)`` Optional. The category of the Looker report. |
| `creatorGuid` | `string` Optional. The creator guid of the Looker report. |
| `modifier` | `string` Optional. The modifier of the Looker report. |
| `externalId` | `string` Optional. The external id of the Looker report. |
| `includeViewOnlyUsers` | `boolean` Optional. Indicates if view only users should be included. |
| `environments[]` | `string` Optional. List of environments associated with the copied advanced report. |
| `environmentsJson` | `string` Optional. The JSON representation of the environments field. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The ID of the advanced report. |
| `tenantId` | `string` Optional. The tenant id of the Looker report. |
| `creatorFullName` | `string` Optional. The full name of the creator of the advanced report. |
| `modifierFullName` | `string` Optional. The full name of the modifier of the advanced report. |
| `creationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The creation time of the advanced report in Unix time in milliseconds. |
| `modificationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The modification time of the advanced report in Unix time in milliseconds. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyLookerReportResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarAdvancedReports.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).